Asterisk.org: Developer Documentation (28 Oct 2009)

Wed Oct 28 15:49:29 2009

## Asterisk developer's documentation

# ast_filestream Struct Reference

Collaboration diagram for ast_filestream:

[legend]

## Data Fields

unsigned char | buf [BUF_SIZE]
char | buf [G723_MAX_SIZE+AST_FRIENDLY_OFFSET]
short | buf [BUF_SIZE]
short | buffer [SAMPLES_MAX]
| Buffer to hold audio data.
int | bytes
char | empty
int | eos
| Indicates whether an End of Stream condition has been detected.
FILE * | f
char * | filename
int | flags
struct ast_format * | fmt
int | foffset
struct ast_frame * | fr
struct ast_frame | fr
| Asterisk frame object.
unsigned char | g726 [FRAME_TIME *5]
unsigned char | g729 [20]
unsigned char | gsm [66]
unsigned char | h263 [32768]
unsigned char | ilbc [50]
struct timeval | last
int | lasttimeout
unsigned int | lastts
int | lastwriteformat
int | maxlen
mode_t | mode
int | needsgain
struct ast_filestream * | next
unsigned char | next_flag
ogg_page | og
ogg_packet | op
struct timeval | orig
ogg_stream_state | os
struct ast_channel * | owner
ogg_sync_state | oy
int | rate
char * | realfilename
void * | reserved [AST_RESERVED_POINTERS]
int | secondhalf
short | signal
short | ssindex
struct ast_tranlator_pvt * | tr
struct ast_trans_pvt * | trans
vorbis_block | vb
vorbis_comment | vc
vorbis_dsp_state | vd
struct ast_filestream * | vfs
vorbis_info | vi
char | waste [AST_FRIENDLY_OFFSET]
int | writing
| Indicates whether this filestream is set up for reading or writing.
unsigned char | zero_count

## Detailed Description

Definition at line 84 of file file.c.

## Field Documentation

unsigned char buf[BUF_SIZE]

Definition at line 59 of file format_pcm.c.

char buf[G723_MAX_SIZE+AST_FRIENDLY_OFFSET]

Definition at line 61 of file format_g723.c.

short buf

Definition at line 69 of file format_au.c.

Referenced by ast_writefile(), au_open(), au_read(), g723_open(), g723_read(), pcm_open(), pcm_read(), slinear_open(), slinear_read(), vox_open(), vox_read(), wav_open(), wav_read(), and wav_write().

short buffer[SAMPLES_MAX]

Buffer to hold audio data.

Definition at line 80 of file format_ogg_vorbis.c.

Referenced by ogg_vorbis_open(), ogg_vorbis_read(), ogg_vorbis_write(), and read_samples().

int bytes

Definition at line 56 of file format_wav.c.

Referenced by ogg_vorbis_open(), read_samples(), wav_close(), wav_open(), and wav_write().

char empty

Definition at line 68 of file format_au.c.

int eos

Indicates whether an End of Stream condition has been detected.

Definition at line 77 of file format_ogg_vorbis.c.

Referenced by ogg_vorbis_rewrite(), read_samples(), and write_stream().

FILE * f

Definition at line 64 of file format_au.c.

Referenced by au_close(), au_open(), au_read(), au_rewrite(), au_seek(), au_tell(), au_trunc(), au_write(), g723_close(), g723_open(), g723_read(), g723_rewrite(), g723_trunc(), g723_write(), g726_16_open(), g726_16_rewrite(), g726_24_open(), g726_24_rewrite(), g726_32_open(), g726_32_rewrite(), g726_40_open(), g726_40_rewrite(), g726_close(), g726_read(), g726_write(), g729_close(), g729_open(), g729_read(), g729_rewrite(), g729_seek(), g729_tell(), g729_trunc(), g729_write(), gsm_close(), gsm_open(), gsm_read(), gsm_rewrite(), gsm_seek(), gsm_tell(), gsm_trunc(), gsm_write(), h263_close(), h263_open(), h263_read(), h263_rewrite(), h263_tell(), h263_trunc(), h263_write(), ilbc_close(), ilbc_open(), ilbc_read(), ilbc_rewrite(), ilbc_seek(), ilbc_tell(), ilbc_trunc(), ilbc_write(), ogg_vorbis_close(), ogg_vorbis_open(), ogg_vorbis_rewrite(), pcm_close(), pcm_open(), pcm_read(), pcm_rewrite(), pcm_seek(), pcm_tell(), pcm_trunc(), pcm_write(), read_samples(), slinear_close(), slinear_open(), slinear_read(), slinear_rewrite(), slinear_seek(), slinear_tell(), slinear_trunc(), slinear_write(), vox_close(), vox_open(), vox_read(), vox_rewrite(), vox_seek(), vox_tell(), vox_trunc(), vox_write(), wav_close(), wav_open(), wav_read(), wav_rewrite(), wav_seek(), wav_tell(), wav_trunc(), wav_write(), and write_stream().

char* filename

Definition at line 89 of file file.c.

Referenced by ast_closestream(), ast_filehelper(), ast_readfile(), ast_writefile(), and ast_writestream().

int flags

Definition at line 87 of file file.c.

Referenced by ast_readfile(), ast_writefile(), and ast_writestream().

struct ast_format* fmt`[read]`

Definition at line 86 of file file.c.

Referenced by ast_closestream(), ast_filehelper(), ast_playstream(), ast_readaudio_callback(), ast_readfile(), ast_readframe(), ast_readvideo_callback(), ast_seekstream(), ast_tellstream(), ast_truncstream(), ast_writefile(), and ast_writestream().

int foffset

Definition at line 62 of file format_wav.c.

struct ast_frame* fr`[read]`

Definition at line 59 of file format_g723.c.

struct ast_frame fr`[read]`

Asterisk frame object.

Definition at line 66 of file format_au.c.

Referenced by au_open(), au_read(), g723_open(), g723_read(), g723_write(), g726_16_open(), g726_24_open(), g726_32_open(), g726_40_open(), g726_read(), g729_open(), g729_read(), gsm_open(), gsm_read(), h263_open(), h263_read(), ilbc_open(), ilbc_read(), ogg_vorbis_read(), pcm_open(), pcm_read(), slinear_open(), slinear_read(), vox_open(), vox_read(), wav_open(), and wav_read().

unsigned char g726[FRAME_TIME *5]

Definition at line 78 of file format_g726.c.

Referenced by g726_16_open(), g726_24_open(), g726_32_open(), g726_40_open(), and g726_read().

unsigned char g729[20]

Definition at line 63 of file format_g729.c.

Referenced by g729_open(), and g729_read().

unsigned char gsm

Definition at line 70 of file format_gsm.c.

Referenced by gsm_open(), gsm_read(), wav_open(), wav_read(), and wav_write().

unsigned char h263[32768]

Definition at line 61 of file format_h263.c.

Referenced by h263_open(), and h263_read().

unsigned char ilbc[50]

Definition at line 62 of file format_ilbc.c.

Referenced by ilbc_open(), and ilbc_read().

struct timeval last`[read]`

Definition at line 60 of file format_pcm.c.

int lasttimeout

Definition at line 97 of file file.c.

Referenced by ast_filehelper(), ast_readaudio_callback(), ast_readvideo_callback(), and vox_open().

unsigned int lastts

Definition at line 57 of file format_h263.c.

Referenced by h263_read().

int lastwriteformat

Definition at line 96 of file file.c.

Referenced by ast_writestream().

int maxlen

Definition at line 64 of file format_wav.c.

Referenced by wav_open(), and wav_read().

mode_t mode

Definition at line 88 of file file.c.

Referenced by ast_readfile(), ast_writefile(), and ast_writestream().

int needsgain

Definition at line 57 of file format_wav.c.

Referenced by wav_open(), and wav_read().

struct ast_filestream* next`[read]`

Definition at line 58 of file format_g723.c.

unsigned char next_flag

Definition at line 63 of file format_vox.c.

ogg_page og

Definition at line 64 of file format_ogg_vorbis.c.

Referenced by ogg_vorbis_open(), ogg_vorbis_rewrite(), read_samples(), and write_stream().

ogg_packet op

Definition at line 65 of file format_ogg_vorbis.c.

Referenced by ogg_vorbis_open(), read_samples(), and write_stream().

struct timeval orig`[read]`

Definition at line 60 of file format_g723.c.

ogg_stream_state os

Definition at line 63 of file format_ogg_vorbis.c.

Referenced by ogg_vorbis_close(), ogg_vorbis_open(), ogg_vorbis_rewrite(), read_samples(), and write_stream().

struct ast_channel * owner`[read]`

Definition at line 98 of file file.c.

Referenced by ast_applystream(), ast_closestream(), ast_readaudio_callback(), and ast_readvideo_callback().

ogg_sync_state oy

Definition at line 62 of file format_ogg_vorbis.c.

Referenced by ogg_vorbis_close(), ogg_vorbis_open(), and read_samples().

int rate

Definition at line 74 of file format_g726.c.

Referenced by g726_16_open(), g726_16_rewrite(), g726_24_open(), g726_24_rewrite(), g726_32_open(), g726_32_rewrite(), g726_40_open(), g726_40_rewrite(), g726_close(), g726_read(), and g726_write().

char* realfilename

Definition at line 90 of file file.c.

Referenced by ast_closestream(), and ast_writefile().

void * reserved

Definition at line 62 of file format_au.c.

int secondhalf

Definition at line 77 of file format_wav_gsm.c.

Referenced by wav_open(), wav_read(), wav_seek(), and wav_write().

short signal

Definition at line 60 of file format_vox.c.

short ssindex

Definition at line 61 of file format_vox.c.

struct ast_tranlator_pvt* tr`[read]`

Definition at line 95 of file file.c.

struct ast_trans_pvt* trans`[read]`

Definition at line 94 of file file.c.

Referenced by ast_closestream(), ast_filehelper(), ast_readfile(), ast_writefile(), and ast_writestream().

vorbis_block vb

Definition at line 71 of file format_ogg_vorbis.c.

Referenced by ogg_vorbis_close(), ogg_vorbis_open(), ogg_vorbis_rewrite(), read_samples(), and write_stream().

vorbis_comment vc

Definition at line 69 of file format_ogg_vorbis.c.

Referenced by ogg_vorbis_close(), ogg_vorbis_open(), and ogg_vorbis_rewrite().

vorbis_dsp_state vd

Definition at line 70 of file format_ogg_vorbis.c.

Referenced by ogg_vorbis_close(), ogg_vorbis_open(), ogg_vorbis_read(), ogg_vorbis_rewrite(), ogg_vorbis_write(), read_samples(), and write_stream().

struct ast_filestream* vfs`[read]`

Definition at line 92 of file file.c.

Referenced by ast_readfile(), ast_streamfile(), ast_writefile(), and ast_writestream().

vorbis_info vi

Definition at line 68 of file format_ogg_vorbis.c.

Referenced by ogg_vorbis_close(), ogg_vorbis_open(), ogg_vorbis_read(), and ogg_vorbis_rewrite().

char waste

Definition at line 67 of file format_au.c.

int writing

Indicates whether this filestream is set up for reading or writing.

Definition at line 74 of file format_ogg_vorbis.c.

Referenced by ogg_vorbis_close(), ogg_vorbis_open(), ogg_vorbis_rewrite(), and ogg_vorbis_write().

unsigned char zero_count

Definition at line 62 of file format_vox.c.

The documentation for this struct was generated from the following files:

- file.c
- format_au.c
- format_g723.c
- format_g726.c
- format_g729.c
- format_gsm.c
- format_h263.c
- format_ilbc.c
- format_ogg_vorbis.c
- format_pcm.c
- format_pcm_alaw.c
- format_sln.c
- format_vox.c
- format_wav.c
- format_wav_gsm.c